## GstCodecPicture

Base struct for coded picture representation

Since : 1.24

## GstCodecs.CodecPicture

Base struct for coded picture representation

Since : 1.24

## GstCodecs.CodecPicture

Base struct for coded picture representation

Since : 1.24

### Methods

#### gst_codec_picture_get_user_data

    gpointer
    gst_codec_picture_get_user_data (GstCodecPicture * picture)

Gets private data set on the picture via gst_codec_picture_set_user_data previously.

Parameters:

`picture` –

a GstCodecPicture

Returns ( [transfer: none][nullable]) –

The previously set user_data

Since : 1.24

#### GstCodecs.CodecPicture.prototype.get_user_data

    function GstCodecs.CodecPicture.prototype.get_user_data(): {
        // javascript wrapper for 'gst_codec_picture_get_user_data'
    }

Gets private data set on the picture via GstCodecs.CodecPicture.prototype.set_user_data previously.

Parameters:

`picture` (GstCodecs.CodecPicture) –

a GstCodecs.CodecPicture

Returns (Object) –

The previously set user_data

Since : 1.24

#### GstCodecs.CodecPicture.get_user_data

    def GstCodecs.CodecPicture.get_user_data (self):
        #python wrapper for 'gst_codec_picture_get_user_data'

Gets private data set on the picture via GstCodecs.CodecPicture.set_user_data previously.

Parameters:

`picture` (GstCodecs.CodecPicture) –

a GstCodecs.CodecPicture

Returns (object) –

The previously set user_data

Since : 1.24

#### gst_codec_picture_set_discont_state

    gst_codec_picture_set_discont_state (GstCodecPicture * picture,
                                         GstVideoCodecState * discont_state)

Sets discont_state to picture

Parameters:

`picture` –

a GstCodecPicture

`discont_state` ( [transfer: none][allow-none]) –

a GstVideoCodecState

Since : 1.24

#### GstCodecs.CodecPicture.prototype.set_discont_state

    function GstCodecs.CodecPicture.prototype.set_discont_state(discont_state: GstVideo.VideoCodecState): {
        // javascript wrapper for 'gst_codec_picture_set_discont_state'
    }

Sets discont_state to picture

Parameters:

`picture` (GstCodecs.CodecPicture) –

a GstCodecs.CodecPicture

`discont_state` (GstVideo.VideoCodecState) –

a GstVideo.VideoCodecState

Since : 1.24

#### GstCodecs.CodecPicture.set_discont_state

    def GstCodecs.CodecPicture.set_discont_state (self, discont_state):
        #python wrapper for 'gst_codec_picture_set_discont_state'

Sets discont_state to picture

Parameters:

`picture` (GstCodecs.CodecPicture) –

a GstCodecs.CodecPicture

`discont_state` (GstVideo.VideoCodecState) –

a GstVideo.VideoCodecState

Since : 1.24

#### gst_codec_picture_set_user_data

    gst_codec_picture_set_user_data (GstCodecPicture * picture,
                                     gpointer user_data,
                                     GDestroyNotify notify)

Sets user_data on the picture and the GDestroyNotify that will be called when the picture is freed.

If a user_data was previously set, then the previous set notify will be called before the user_data is replaced.

Parameters:

`picture` –

a GstCodecPicture

`user_data` ( [nullable]) –

private data

`notify` ( [closure]) –

a GDestroyNotify

Since : 1.24

#### GstCodecs.CodecPicture.prototype.set_user_data

    function GstCodecs.CodecPicture.prototype.set_user_data(user_data: Object, notify: GLib.DestroyNotify): {
        // javascript wrapper for 'gst_codec_picture_set_user_data'
    }

Sets user_data on the picture and the GLib.DestroyNotify that will be called when the picture is freed.

If a user_data was previously set, then the previous set notify will be called before the user_data is replaced.

Parameters:

`picture` (GstCodecs.CodecPicture) –

a GstCodecs.CodecPicture

`user_data` (Object) –

private data

`notify` (GLib.DestroyNotify) –

a GLib.DestroyNotify

Since : 1.24

#### GstCodecs.CodecPicture.set_user_data

    def GstCodecs.CodecPicture.set_user_data (self, *user_data, notify):
        #python wrapper for 'gst_codec_picture_set_user_data'

Sets user_data on the picture and the GLib.DestroyNotify that will be called when the picture is freed.

If a user_data was previously set, then the previous set notify will be called before the user_data is replaced.

Parameters:

`picture` (GstCodecs.CodecPicture) –

a GstCodecs.CodecPicture

`user_data` (variadic) –

private data

`notify` (GLib.DestroyNotify) –

a GLib.DestroyNotify

Since : 1.24

## Function Macros

### GST_CODEC_PICTURE_COPY_FRAME_NUMBER

    #define GST_CODEC_PICTURE_COPY_FRAME_NUMBER(dst,src) G_STMT_START { \
        GST_CODEC_PICTURE(dst)->system_frame_number = \
        GST_CODEC_PICTURE(src)->system_frame_number; \
    } G_STMT_END

Copy system_frame_number of src to dst

Parameters:

`dst` –

a GstCodecPicture

`src` –

a GstCodecPicture

Since : 1.24

### GST_CODEC_PICTURE_FRAME_NUMBER

    #define GST_CODEC_PICTURE_FRAME_NUMBER(picture) \
        GST_CODEC_PICTURE(picture)->system_frame_number

Gets access to the system_frame_number field of picture

Parameters:

`picture` –

a GstCodecPicture

Since : 1.24

The results of the search are